﻿using CGroupBasedTargetMemoryControl.Service;
using Microsoft.AspNetCore.Mvc;

namespace CGroupBasedTargetMemoryControl.Controller
{
    [ApiController]
    [Route("[controller]")]
    public class TestController : ControllerBase
    {
        private readonly CGroupService _cGroupService;
        public TestController(CGroupService cGroupService) { 
            _cGroupService = cGroupService;
        }

        [HttpGet(Name ="TestApi")]
        public IActionResult Test()
        {
            _cGroupService.Test();
            return Ok();
        }
    }
}
